# transition_adder_functor< input_t, output_t > Struct Template Reference

Functor that constructs the transitions. More...

List of all members.

## Public Member Functions

void | execute (hstate_t representative)
| Add the transitions needed by representative.

## Detailed Description

### template<typename input_t, typename output_t>
struct vcsn::internal::hopcroft_minimization_det::transition_adder_functor< input_t, output_t >

Functor that constructs the transitions.

Definition at line 146 of file minimization_hopcroft.hxx.